<?php

namespace Edocman\Command;

use Joomla\Console\Command\AbstractCommand;
use Symfony\Component\Console\Input\InputInterface;
use Symfony\Component\Console\Output\OutputInterface;

class HelloCommand extends AbstractCommand
{
    protected static $defaultName = 'edocman:hello';

    protected function configure(): void
    {
        $this->setDescription('Say hello from Edocman');
    }

    protected function doExecute(InputInterface $input, OutputInterface $output): int
    {
        $output->writeln('Hello from Edocman!');
        return 0;
    }
}
